socket_shutdown
socket_write
Socket Functions
PHP Manual

# socket_strerror

Return a string describing a socket error

### Description

string socket_strerror ( int `$errno` )

socket_strerror takes as its `errno` parameter a socket error code as returned by socket_last_error and returns the corresponding explanatory text.

> Note:

> Although the error messages generated by the socket extension are in English, the system messages retrieved with this function will appear depending on the current locale (`LC_MESSAGES`).

### Parameters

`errno`

  A valid socket error number, likely produced by socket_last_error.

### Return Values

Returns the error message associated with the `errno` parameter.

### Examples

Example #1 socket_strerror example

`<?php
if (false == ($socket = @socket_create(AF_INET, SOCK_STREAM, SOL_TCP))) {
echo "socket_create() failed: reason: " . socket_strerror(socket_last_error()) . "\n";
}
if (false == (@socket_bind($socket, '127.0.0.1', 80))) {
echo "socket_bind() failed: reason: " . socket_strerror(socket_last_error($socket)) . "\n";
}
?>`

The expected output from the above example (assuming the script is not run with root privileges):

    socket_bind() failed: reason: Permission denied

### See Also

- socket_accept
- socket_bind
- socket_connect
- socket_listen
- socket_create